[v-cloak] {
    display: none;
}
@font-face {
    font-family: 'Formula-Bold';
    src: url('Formula1-Bold.otf');
}
@font-face {
    font-family: 'Formula-Regular';
    src: url('Formula1-Regular.otf');
}
@font-face {
    font-family: 'Formula-Wide';
    src: url('Formula1-Wide.otf');
}
* {
    box-sizing: border-box;
}
body {
    font-family: 'Titillium Web', sans-serif;*/
    font-size: 1.1rem;
	color: #000;
	background-color: #FFF;
}
main {
    width: 70%;
    margin: 0 auto;
}
header {
    width: 100%;
    text-align: center;
}
header img {
    width: 25%;
}
.container {
    background-color: rgba(164, 201, 255, 0.25);
    border-top: 5px solid #0050b0;
}

/* twitter, youtube ja twich iconit */

.some-container {
    width: 35%;
    margin: 1.5rem auto;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.icon-container {
    width: 30%;
    text-align: center;
}
.icon-container img {
    height: 2.5rem;
    width: auto;
}

.inner-wrap {
    width: 99%;
    margin: 0 auto;
    padding: 2rem 0;
}
.list-container {
    background-color: #FFFFFF;
}
.leagueSelector {
    width: 100%;
    margin: 0 auto;
}
.leagueSelector select {
    -webkit-appearance: button;
    -webkit-border-radius: 2px;
    -webkit-padding-end: 2px;
    -webkit-padding-start: 2px;
    -webkit-user-select: none;
    background-image: url('img/select.png'), -webkit-linear-gradient(#a5c9ff, #a5c9ff 10%, #a5c9ff);
    background-position: 99% center;
    background-repeat: no-repeat;
    color: #0050b0;
    background-color: #a5c9ff;
    overflow: hidden;
    border: 0;
    width: 100%;
    outline: 0;
    margin: 2rem 0;
    padding: 0.2rem 0;
    font-size: 2rem;
    text-align: center;
    font-family: 'Russo One', sans-serif;
}
h1 {
    color: #FFF;
}
.event-link {
    color: #000;
}
.row, .header-row {
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
}
.header-row {
    padding:     0.4rem 0.5rem;
    line-height: 2rem;
    color:       #FFF;
    font-weight: bold;
    font-size:   1.2rem;
    background-color: #0050b0;
    text-transform: uppercase;
    border-bottom: 2px solid #000;
}
.row {
    margin: 0 0 0.2rem 0;
    font-size: 1.2rem;
    padding: 0.4rem 0.5rem;
}
.row:hover {
    background-color: #0050b0!important;
    transition: background-color 0.1s;
    color: #FFF;
}
.row:nth-child(even) {
    background-color: #a5c9ff;
}
.header-row img {
    height: 1.5rem;
}
.row div {
    line-height: 1.75rem;
    padding-left: 0.1rem;
}
.standing {
    width: 5%;
    text-align: center;
    font-weight: bold;
}
.driver-num {
    font-family: 'Russo One', sans-serif;
    width: 5%;
    text-align: center;
}
.driver-num span {
    display: block;
    width: 80%;
    line-height: 1.75rem;
}
.driver {
    width: 20%;
}
.nationality {
    width: 20%;
}
.nationality img {
    height: 1.2rem;
    height: 100%;
    border: 1px solid #000;
}
.maakunta {
    width: 20%;
}
.maakunta img {
    height: 2.0rem;
    height: 100%;
}
.nat-flag {
    height: 2.5rem;
    width: 60%;
}
.team-standing {
    width: 7%;
}
.team {
    width: 18%;
}
.team-car {
    width: 22%;
}
.team img {
    height: 3rem;
}
.points {
    width: 12.5%;
}
.gap {
    width: 12.5%;
}
.gap span {
    display: inline-block;
    text-align: center;
    width: 40%;
}
.gap span.small {
    font-size: 1rem;
}
/*
    race calendar
*/
.event-num {
    width: 3%;
}
.event-name {
    width: 23%;
}
.event-flag {
    width: 7%;
    justify-content: center;
}
.event-flag img {
    height: 1.5rem;
    border: 1px solid rgba(0, 0, 0, 0.5);
}
.event-length {
    width: 20%;
}
.event-date {
    width: 15%;
}
.event-time {
    width: 20%;
}

.race-results {
    box-sizing: border-box;
}
.result-header {
    display: flex;
    background-color: #0050b0;
    color: #FFF;
    font-family: 'Titillium Web', sans-serif;
    font-size: 1.2rem;
    font-weight: 900;
}
.result-header span {
    padding: 0.2rem 0.5rem;
    font-size: 1.3rem;
}
.result-row {
    display: flex;
    flex-wrap: wrap;
    line-height: 2.5rem;
    align-items: center;
}
.result-row:nth-child(odd) {
    background-color: #a5c9ff;
}
.results-flag {
    width: 30%;
    margin: 1.5rem auto;
}
.results-flag img {
    width: 100%;
}
.results-eventname {
    font-size: 2rem;
    font-weight: bold;
}
.event-info {
    text-align: center;
    font-size: 1.5rem;
}
.result-row span {
    padding: 0.2rem 0.5rem;
    font-size: 1.2rem;
}
.result-overall {
    width: 15%;
}

.result-row:nth-child(odd) .result-hide {
    border: 1px solid rgba(81, 157, 249, 0.5);
}
span.result-pos {
    width: 6%;
    text-align: center;
}
span.result-num {
    width: 7%;
}
span.result-num span {
    font-family: 'Russo One', sans-serif;
    display: block;
    width: 70%;
    line-height: 1.5rem;
    text-align: center;
}
span.result-grid {
    width: 6%;
    margin-right: 5%;
    text-align: center;
}
span.result-driver {
    width: 20%;
}
span.result-team {
    width: 18%;
}
span.result-fastest {
    width: 18%;
}
span.result-open {
    width: 14%;
    text-align: right;
}
span.quali-num {
    width: 7%;
}
span.quali-num span {
    font-family: 'Russo One', sans-serif;
    display: block;
    width: 70%;
    line-height: 1.5rem;
    text-align: center;
}
span.quali-driver {
    width: 20%;
}
span.quali-team {
    width: 18%;
}
span.quali-tyre {
    width: 12%;
}
span.quali-time {
    width: 15%;
}
span.quali-gap {
    width: 12%;
}
span img {
    height: 2.4rem!important;
}
.race-results .hide {
    height: 0;
    display: none;
}
.race-results .result-hide {
    width: 100%;
    background-color: rgba(255, 255, 255, 0.5);
    border: 1px solid rgba(81, 157, 249, 0.31);
    margin: 0.5rem 0;
    padding: 0.5rem 0.5rem;
}
.result-hide div.hide-box {
    display: inline-block;
    float: left;
    width: calc(100% / 4);
}
.result-hide div.fr {
    height: 1.5rem;
    line-height: 1.5rem;
    font-size: 1.1rem;
    font-weight: bold;
}
.result-hide div.sr {
    padding-left: 0.5rem;
    height: 2rem;
    line-height: 2rem;
    font-size: 1.2rem;
    color: #000;
}
.result-hide .fa-caret-down {
    color: red;
    font-size: 1.3rem;
}
.result-hide .fa-caret-up {
    color: green;
    font-size: 1.3rem;
}
.race-results .show {
}


/*
    Buttons
*/
.router-link-active {
    background-color: #0050b0!important;
    color: #FFF!important;
}
.btn {
    border: 0;
    padding:        1rem 2rem;
    font-family:    'Titillium Web', sans-serif;
    font-weight:    bold;
    background-color: #a5c9ff;
    color:          #0050b0;
    cursor:         pointer;
}
.btn:hover {
    background-color: #0050b0;
    color: #FFF;
    transition: 0.1s ease;
}
.btn a {
    text-decoration: none;
    color: #FFF;
}
.main-nav-btn {
    font-size: 1.5rem;
}
.second-nav-btn {
    font-size: 1rem;
}

@media screen and (max-width: 1500px) {
    main {
        width: 100%;
    }
}

@media screen and (max-width: 1000px) {
    .driver-standings .driver-gap {
        display: none;
        width: 0%;
    }
    .driver-standings .driver-nationality {
        width: 30%;
    }
    .team-standings .team {
        width: 25%;
    }
    .team-standings .team-car {
        width: 20%;
    }
    .team-standings .points {
        width: 20%;
    }
    .team-standings .gap {
        width: 20%;
    }

    span.quali-num span, span.result-num span {
        display: inline-block;
        width: 100%;
    }
}
@media screen and (max-width: 700px) {
    html {
        font-size: 1rem;
    }
    header img {
        width: 100%;
        height: auto;
    }
    .some-container {
        width: 60%;
    }
    .result-row span {
        font-size: 1rem;
    }
    .btn {
        font-size: 1rem;
        padding: 0.5rem;
    }
    .row, .header-row {
        font-size: 1rem;
    }
    .result-header {
        font-size: 0.8rem;
        font-weight: normal;
    }
    .driver-nationality img {
        width: 50%;
        height: auto;
    }
	/*.driver-maakunta img {
		width: 50%;
        height: auto;
	}*/
    .driver-num span {
        width: 100%;
        display: inline-block;
        font-size: 0.8rem;
    }
    .team-car img {
        height: 1.25rem;
        width: auto;
    }
    .race-calendar .event-length {
        display: none;
        width: 0;
    }
    .race-calendar .event-flag {
        width: 12%;
    }
    .race-calendar .event-name {
        width: 40%;
    }
    .race-calendar .event-date {
        width: 25%;
    }
    .race-calendar .event-time {
        width: 20%;
    }
    .race-calendar .header-row .event-time {
        display: none;
    }
    .quali-gap {
        display: none;
    }
    .result-header span.quali-tyre {
        font-size: 0px;
    }
    span.quali-driver, span.result-driver {
        width: 27%;
    }
    span.quali-team, span.result-team {
        width: 29%;
    }
    span.quali-team img, span.result-team img {
        width: 100%!important;
        height: auto!important;
    }
    span.quali-num, span.result-num {
        display: none;
    }
    span.quali-tyre img {
        width: 90%!important;
        height: auto!important;
    }
    span.result-overall {
        display: none;
        width: 0;
    }
    .result-hide div.hide-box {
        width: calc(100%)!important;
        padding: 0.2rem 0.5rem;
    }
    .result-hide div.hide-box:nth-child(odd) {
        background-color: rgba(255, 255, 255, 0.5);
    }
}

@media screen and (max-width: 450px) {
    html {
        font-size: 0.8rem;
        font-weight: normal;
    }
    .some-container {
        width: 80%;
    }
    .leagueSelector select {
        font-size: 1.2rem;
    }
    .driver-standings .driver-num, .quali-num {
        width: 8%;
    }
    .driver-standings .team{
        width: 30%;
    }
    .driver-standings .driver {
        width: 30%;
    }
    .driver-standings .nationality {
        display: none;
        width: 0;
    }
	.maakunta{
		margin-right: 20px;
		margin-left: 20px;
	}
	.driver-num{
		width: 24px;
		margin-left: 7px;
		margin-right: 3px;
	}
	.driver-team{
		display: none;
	}
    .team-standings .team-car {
        width: 40%;
    }
    .team-gap {
        display: none;
        width: 0%;
    }
    .race-calendar .event-num {
        width: 10%;
    }
    .race-calendar .event-flag {
        width: 15%;
    }
    .race-calendar .event-name {
        width: 30%;
    }
    .race-calendar .event-date {
        width: 25%;
    }
}
